Mailinglist Archive: opensuse-buildservice (170 mails)

< Previous Next >
Re: [opensuse-buildservice] Re: problem with package always in 'unresolvable'

On Wednesday 2013-07-10 09:00, Andreas Schwab wrote:

<error>unresolvable: have choice for PACKAGE_FOO needed by
PACKAGE_BAR: PACKAGE_DEP1 PACKAGE_DEP2, have choice for ....

Now, the problem is that PACKAGE_FOO says it built successfully, and
I'm using in a parent project's buildconf:

Substitute: PACKAGE_DEP2 PACKAGE_DEP1

because I *always* want to use PACKAGE_DEP2.

Then you should use Prefer. Just because you change PACKAGE_DEP2 to
PACKAGE_DEP1 doesn't change the fact that PACKAGE_DEP2 is still a
candidate for the solver.

Well, it is a candidate for the build-time solver, but not for
the runtime solver.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups